Bug 220317 - mail/roundcube: update to 1.3.0
Summary: mail/roundcube: update to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-28 00:07 UTC by Larry Rosenman
Modified: 2017-08-16 10:59 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
upgrade patch/pet check-plist (3.74 KB, patch)
2017-06-28 00:07 UTC, Larry Rosenman
no flags Details | Diff
Full patch (9.33 KB, patch)
2017-06-30 08:45 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2017-06-28 00:07:33 UTC
Created attachment 183861 [details]
upgrade patch/pet check-plist

1.3.0 upgrade
With this milestone we introduce new features like:

Widescreen layout aka Three Column View
Possibility to display QR code for contacts data
New identicon plugin
Attach contact vCards to composed message
Support WEBP images and MathML preview
Preview, download and rename attachments when composing a message
Message/rfc822 attachment preview
Various Enigma (PGP) and Managesieve plugin improvements
"Flattened" the Larry theme giving it a fresher look
Plus security and deployment improvements:

Improve randomness of password salts and random hashes
Fixed redundancy in sql caching system and compatibility with Galera Cluster
And finally some code-cleanup:

Dropped support for legacy browsers (IE < 10; removed legacy_browser plugin)
Require PHP >= 5.4
Removed PHP mail() support
Removed 3rd party javascript libraries from repo
Require jQuery 3.x which has breaking changes to older versions
Comment 1 Alex Dupre freebsd_committer 2017-06-30 08:45:12 UTC
Created attachment 183937 [details]
Full patch

Your patch seems partial, please try with this full patch.
Comment 2 Adam Weinberger freebsd_committer 2017-08-08 22:10:38 UTC
Any news on this? It'd be nice to have 1.3.0 in the tree.
Comment 3 Kurt Jaeger freebsd_committer 2017-08-16 09:30:42 UTC
testbuild@work
Comment 4 Kurt Jaeger freebsd_committer 2017-08-16 10:54:55 UTC
testbuilds are fine.
Comment 5 commit-hook freebsd_committer 2017-08-16 10:58:32 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 16 10:58:14 UTC 2017
New revision: 448031
URL: https://svnweb.freebsd.org/changeset/ports/448031

Log:
  mail/roundcube: update 1.2.5 -> 1.3.0

  PR:		220317
  Submitted by:	ler, ale
  Approved by:	ale
  Relnotes: https://roundcube.net/news/2017/06/26/roundcube-webmail-1.3.0-released

Changes:
  head/mail/roundcube/Makefile
  head/mail/roundcube/distinfo
  head/mail/roundcube/files/patch-INSTALL
  head/mail/roundcube/files/patch-config_defaults.inc.php
  head/mail/roundcube/files/patch-installer_check.php
  head/mail/roundcube/files/patch-program_lib_Roundcube_bootstrap.php
  head/mail/roundcube/files/patch-program_lib_Roundcube_rcube_message.php
  head/mail/roundcube/files/patch-program_lib_Roundcube_rcube_session.php
  head/mail/roundcube/files/patch-program_lib_Roundcube_rcube_session_db.php
Comment 6 Kurt Jaeger freebsd_committer 2017-08-16 10:58:49 UTC
Committed, thanks